import tempfile
import argparse

from tempbox_functions import execute_as_subprocess


# Argument parsing
parser = argparse.ArgumentParser(
    prog="Tempbox",
    description="This program accepts an\
    command whicht it executes in an temporary directory in /temp.",
    # epilog="helloooooooo",
)

parser.add_argument(
    "-v",
    "--verbose",
    action="store_true",
    help="Activates or deactivates verbose output. (default=%(default)s)",
)

parser.add_argument(
    "-c",
    "--command",
    help="Takes the string right after the flag to execute it.",
)

args = parser.parse_args()

if args.command is not None:
    with tempfile.TemporaryDirectory() as temp_dir:
        if args.command is not None:
            execute_as_subprocess(
                args.command,
                base_path=temp_dir,
                verbosity=args.verbose,
            )
else:
    parser.print_help()


# Creates a temporary directory and executes the command in it.
